Bug 243821 - Network Install FTP error handling not smart
Network Install FTP error handling not smart
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 02:05 EDT by jace carlson
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jace carlson 2007-06-12 02:05:14 EDT
Description of problem:
Network Install via FTP not very smart.  First, once a connection is made it
states "Starting Installation" and will continue to display that message hours
later if packages are still downloading.  Second, and more important, if there
is the slightest hiccup in the ftp there is only ONE generic error message that
states (paraphrase) "Error reading source.  Select <Retry> to attempt again or
<Reboot> to abort.  Note that rebooting will leave installation in an unstable
state..."  The <Reboot> option is the default, not the <Retry>, which would seem
to be the logical choice.  Also, if you hit Enter or select Reboot, it will
immediately reboot, with no confirmation option that you are about to lose
potentially hours worth of attempted effort.  My installation (solid cable modem
connection) was interrupted every 20-30 minutes for several hours with this
message, and I had to be extremely careful to hit "Alt-R" for <Retry>, because
once I accidentally hit Enter and my system rebooted immediately.  So, the
entire process took me nearly 20 hours of exhaustive retry attempts, and then
very quickly installed successfully after that.  

Version-Release number of selected component (if applicable):


How reproducible:
I'm not going to try this again unless the FTP source is on a local network. 
It's not worth the pain.

Steps to Reproduce:
1. Network Install, selected FTP source fedora.bu.edu since the "rather a lot"
of bandwidth intrigued me.  I'm not sure if the source is relevant, but I think
their "rather a lot" was more like "extremely dog slow" -- however, the
interruptions afforded by their source will allow the Retry/Reboot error message
to pop up frequently for just about anyone.
2.
3.
  
Actual results:
Pain, annoyance, no real status information, and frustration.

Expected results:
Tell me what it's gonna do, do it (leaving room for NORMAL TIMEOUT VALUES for
internet communications), and then show me that it's working rather than
"starting install" an hour or two into the process.  Then, if there is a
problem, assume that the user might actually want to continue rather than
defaulting to an instant reboot and complete waste of effort.

Additional info:
To be fair, using ftp both before and after this painful 20-hour experiment with
the network install, I was able to download the F-7-DVD.iso from the same
fedora.bu.edu source in just about an hour each time...  Lessons learned?  Spend
the money on a DVD burner instead of going through this process.
Comment 1 Skip VerDuin 2008-01-06 13:50:34 EST
Please allow me to reconfirm the sentiment of this bug while my experience
detail is different.  This applies to FC-7 --> FC-8 upgrade procedure using a
recovery CD downloaded 1/5/2008 and .anl. mirror.

Specifically I erred with both [aarrrrgg] FTP site and directory entries -- typo
error.  The anaconda response was with the "check media" pop-up window.  After
fields are properly entered the pop-up does not appear (correctly) and the
process continues with "checking dependencies" process.

After "skip" is activated in the check media window, anaconda returns to the FTP
window with pre-entered data displayed in the site and directory boxes -- but
does *not* flag the entries as erroneous.

I found the check media response to be seriously distracting from the real
error, and was mildly disappointed that anaconda did not pass the real error
back for review and correction.  It required several iterations to get beyond
the typo / interpretation errors of mine.

After correctly(?) entering FTP data, I then ran afoul of bug 372011 thus I have
no confirmation of correctly linking to the .anl. mirror after 14hrs -- and I am
changing to DVD.iso tactic with no intent of another FTP attempt (unless
requested from this post to qualify a FTP-method improvement)...

Regards
Skip
Comment 2 Skip VerDuin 2008-01-06 23:52:49 EST
I'm sorry to have another change in approach, but three spoiled DVDs [and my
curiosity] brings me back to the FTP method.  Some good news:

After working around the "upgrade hang..." bug, the dependency resolution
required but 2min +/- where the previous night it took 14hrs to not complete. 
The entire upgrade required 5hrs using FTP with mirror.anl.gov [Argonne Labs]
and *without any intervention on my part* while processing.
AMD MP2000+ CPU in one of two motherboard sockets [SMP not installed]
512MB RAM
SCSI HD for /
300kb/sec DSL ISP
Fedora workstation configuration / 1105 pkgs upgraded

I have no numbers to compare DVD/FTP method time requirements, nor numbers to
compare network activity.  My intuition suggests there is a penalty to the FTP
method -- but so small that good numbers are required to draw a conclusion.

My point?  Getting zero error is problematic the first time out, but once there
the results seem pretty good.  Yes -- I remember the silent failure mode of UNIX
in the late 80's and the IBM mainframes JCL completion codes of the late 70's
when the cause was obscure even after reading the manual.  I remain most
grateful that the result of my error is ambiguity rather than garbage where good
stuff used to be.  Now -- If there was only a !simple! way to improve feedback
about errors made while processing...

Regards again
Skip
Comment 3 Bug Zapper 2008-05-14 09:00:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andy Lindeberg 2008-06-03 17:03:47 EDT
Have you encountered this bug in Fedora 9?
Comment 5 Bug Zapper 2008-06-16 21:33:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.